petsc-3.7.7 2017-09-25
Report Typos and Errors

# PetscMallocDumpLog

Dumps the log of all calls to PetscMalloc(); also calls PetscMemoryGetMaximumUsage()

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscMallocDumpLog(FILE *fp)

Collective on PETSC_COMM_WORLD

### Input Parameter

fp -file pointer; or NULL

### Options Database Key

-malloc_log -Activates PetscMallocDumpLog()

### Fortran Note

The calling sequence in Fortran is PetscMallocDumpLog(integer ierr) The fp defaults to stdout.

### See Also

PetscMallocGetCurrentUsage(), PetscMallocDump(), PetscMallocSetDumpLog()

Level:advanced
Location:src/sys/memory/mtr.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages